#379 closed defect (fixed)

nameclash fix: powerpc-shared BSP should use cpukit/printk not its own

Reported by: strauman Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: bsps Version: unknown
Severity: normal Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

* Till Straumann, 2003/03/21:

  • libcpu provides 'printk' already. Therefore, the libbsp/powerpc/shared/console/polled-io.c implementation was removed (still used for the bootloader, though). polled-io.c now provides BSP_output_char for libcpu's printk.
  • libbsp/powerpc/shared/console/uart.c: BSP_output_char_via_serial() prototype changed to match the BSP_output_char_function_type. Note that the motorola BSPs use polled-io for the output_char routine, not the uart.c version. The latter can be used be other BSPs however (e.g. SVGM).
  • unfortunately, the supported 'printk' format string subset of the polled-io and libcpu implementations are different - hence, a few format strings in the ppc/shared BSP were changed.

(patch is in two chunks for no good reason)

Release:
ss-20030128

Attachments (2)

ppc-sharedbsp-libcpuprintk.diff (8.3 KB) - added by strauman on Dec 3, 2006 at 1:31:12 PM.
ppc-sharedbsp-libcpuprintk.diff
ppc-sharedbsp-libcpuprintk.diff#379.1 (3.0 KB) - added by strauman on Dec 3, 2006 at 1:31:12 PM.
ppc-sharedbsp-libcpuprintk.diff#379.1

Download all attachments as: .zip

Change History (2)

comment:1 Changed on Apr 10, 2003 at 3:35:58 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch commited to both release branch and trunk.

Uncompiled at this point.

Changed on Dec 3, 2006 at 1:31:12 PM by strauman

ppc-sharedbsp-libcpuprintk.diff#379.1

Note: See TracTickets for help on using tickets.